API ReferenceSettlement options

Get Settlement Options

GET
/v2/settlementOptions

This API call allows a client to get list of allowed settlement options for their account based on sellCurrency.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

sellCurrency*string

Sell currency

Length3 <= length <= 3
fixedCurrency*string

Fixed currency

Length3 <= length <= 3
amount*number

sellAmount

Formatdecimal
accountNumber?string

Client account number

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/settlementOptions?sellCurrency=str&fixedCurrency=str&amount=0"
[  {    "Method": "BankTransfer"  }]
Empty
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help